LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
BlankNode Service Reference

represents a blank node that may occur in a RDF graph. More...

`import"BlankNode.idl";`

Inheritance diagram for BlankNode:

## Public Member Functions
| create ([in] string NodeID) raises ( com::sun::star::lang::IllegalArgumentException )
| create a blank RDF node. More...

## Additional Inherited Members
Public Attributes inherited from XNode
string | StringValue
| the string value of the node. More...

## Detailed Description

represents a blank node that may occur in a RDF graph.

Since
  OOo 3.0

See also
  XRepository

## Member Function Documentation

## ◆ create()

create | ( | [in] string | NodeID | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

create a blank RDF node.

Be careful! With this constructor you can create a node that aliases another node that already exists in some repository. That may or may not be what you want. If you want to create a new blank node that is guaranteed to be unique, use XRepository::createBlankNode() instead.

Parameters

  NodeID | the ID for the blank node.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the argument does not represent a valid blank node ID

See also
  XRepository::createBlankNode

The documentation for this service was generated from the following file:

- com/sun/star/rdf/BlankNode.idl